<form [formGroup]="emailForm"
      (ngSubmit)="update()" novalidate>
      <div class="form-group row"
          *ngIf="!isEdit">
        <label for="email" class="col-4 col-form-label">{{'PROFILE.EMAIL' | translate}}:</label>
        <div class="col-8">
          <p id="email" class="form-control-static">{{user.email}}</p>
        </div>
      </div>
      <div class="form-group row"
          *ngIf="isEdit"
          [ngClass]="{
            'has-danger': email.invalid && (email.dirty || email.touched),
            'has-success': email.valid && (email.dirty || email.touched)
          }"
      >
        <label for="email" class="col-4 col-form-label">{{'PROFILE.EMAIL' | translate}}:</label>
        <div class="col-8">
          <input id="email" class="form-control"
                [ngClass]="{
                  'form-control-danger': email.invalid,
                  'form-control-success': email.valid
                }"
                type="email"
                placeholder="Email"
                formControlName="email">
            <small class="form-control-feedback"
                  *ngIf="(!email.pristine || email.touched) && email.errors">
              <div *ngIf="email.errors.required">{{'SIGNUP.EMAIL_REQUIRED' | translate}}</div>
              <div *ngIf="email.errors.noEmail">{{'SIGNUP.EMAIL_NOT_VALID' | translate}}</div>
            </small>
        </div>
      </div>
      <button class="btn btn-outline-primary btn-sm btn-block"
            *ngIf="!isEdit"
            (click)="edit()"
            type="button"
      >{{'PROFILE.EDIT_BTN' | translate}}</button>
      <div class="row"
          *ngIf="isEdit">
          <div class="col col-sm-6">
            <button class="btn btn-outline-warning btn-sm btn-block"
                    (click)="isEdit = !isEdit"
                    type="button"
            >{{'PROFILE.CANCEL_BTN' | translate}}</button>
          </div>
          <div class="col col-sm-6">
            <button class="btn btn-outline-success btn-sm btn-block"
                    type="submit"
                    [disabled]="emailForm.invalid"
            >{{'PROFILE.SAVE_BTN' | translate}}</button>
          </div>
      </div>
      <p class="important"><span>{{'PROFILE.IMPORTANT' | translate}}</span> {{'PROFILE.IMPORTANT_TEXT' | translate}}</p>
</form>
